| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Attributes | Properties | Private Attributes

# IG::Lib::ColorScaleBase Class Reference

Color scale.Provides mapping from scalar values to colors, defining continuous or discrete color scales. NOT thread safe. More...

Inheritance diagram for IG::Lib::ColorScaleBase:
[legend]
Collaboration diagram for IG::Lib::ColorScaleBase:
[legend]

List of all members.

## Public Member Functions
abstract double | FromReference (double referenceValue)
| Transforms the specified value from reference domain (interval [0,1]) to actual domain.
abstract double | ToReference (double actualValue)
| Transforms the specified value from actual domain to reference domain (interval [0,1]).
virtual color | GetColor (double value)
| Returns the color from the current collor scale that corresponds to the specified value. Scale can be continuous or discrete (in the latter case IsDiscrete is true).To get a color from the scale corresponding to a value in the reference domain [0,1], use the GetReferenceColor method instead.
virtual color | GetReferenceColor (double referenceValue)
  | Returns the color from the current color scale that corresponds to the specified value in the reference domain (interval [0,1]). Scale can be continuous or discrete (in the latter case IsDiscrete is true). Parameters:
  value | Value from the interval [0, 1] (the reference domain) for which the corresponding color is returned.
abstract color | GetContinuousReferenceColor (double referenceValue)
| Returns the CONTINUOUS color from the current color scale that corresponds to the specified value in the REFERENCE domain (interval [0, 1]). Scale can be continuous or discrete (in the latter case IsDiscrete is true).
virtual color | GetContinuousColor (double value)
| Returns the CONTINUOUS color from the current color scale that corresponds to the specified value. Scale can be continuous or discrete (in the latter case IsDiscrete is true).
abstract double | GetReferenceCellValue (int cellIndex)
| Returns the reference value (in the interval [0, 1]) corresponding to the specified cell in the discrete color map. This value is used to obtain the uniform (discrete) color of the cell by the methods that produces continuous scale colors (continuous methods are usually basis for scale definitions).
virtual double | GetCellValue (int cellIndex)
| Returns the value corresponding to the specified cell in the discrete color map. This value is used to obtain the uniform (discrete) color of the cell by the methods that produces continuous scale colors (continuous methods are usually basis for scale definitions).
virtual color | GetCellColor (int cellIndex)
| Returns the (discrete) color corresponding to the specified cell index. If the index is out of range then the lowest or the highest cell color is returned, dependent on whether the value is smaller than lower bound or greater than upper bound.
abstract int | GetReferenceCellIndex (double referenceValue)
| Retuns index of the cell of the discrete color scale that corresponds to the specified value in the reference domain (interval [0, 1]).
virtual int | GetCellIndex (double value)
| Retuns index of the cell of the discrete color scale that corresponds to the specified value (in the actusl domain).
virtual color | GetDiscreteReferenceColor (double referenceValue)
| Returns a color from the DISCRETE color scale represented by the current object that corresponds to he specified value in the REFERENCE domain (interval [0, 1]).
virtual color | GetDiscreteColor (double value)
| Returns a color from the DISCRETE color scale represented by the current object that corresponds to he specified value (in the actual domain).
## Static Public Member Functions
static ColorScale | Create (double minValue, double maxValue, params color[] scaleColors)
| Creates and returns a continuous color scale that runs through the specified colors. The first specified color corresponds to the lowest and the last one to the highest values. Other colors (if specified) are positioned between, and colors for intermediate values are interpolated between two neighboring colors. Only one color can also be specified, in this case the whole scale has the same color.
static ColorScale | Create (double minValue, double maxValue, int numCells, params color[] scaleColors)
| Creates and returns a discrete color scale that runs through the specified colors. The first specified color corresponds to the lowest and the last one to the highest values. Other colors (if specified) are positioned between, and colors for intermediate values are interpolated between two neighboring colors. Only one color can also be specified, in this case the whole scale has the same color.
static ColorScale | CreateDefault (double minValue, double maxValue)
| Creates and returns a continuous color scale that runs from blue through red till yellow color. This is intended as default color scale for graphical representations. The advantge is that color brightness varies monotonically () and relatively significantly) form the lower to the upper bounds, while hue varies significantly, too.
static ColorScale | CreateDefault (double minValue, double maxValue, int numCells)
| Creates and returns a discrete color scale that runs from blue through red till yellow color. This is intended as default color scale for graphical representations. The advantge is that color brightness varies monotonically () and relatively significantly) form the lower to the upper bounds, while hue varies significantly, too.
static ColorScale | CreateRainbowFull (double minValue, double maxValue)
| Creates and returns a continuous color scale that runs from violet till red color and passes rainbow colors in their natural order (red-orange-yellow-green-blue-indigo-violet). Indigo is included.
static ColorScale | CreateRainbowFull (double minValue, double maxValue, int numCells)
| Creates and returns a discrete color scale that runs from violet till red color and passes rainbow colors in their natural order (red-orange-yellow-green-blue-indigo-violet). Indigo is included.
static ColorScale | CreateRainbow (double minValue, double maxValue)
| Creates and returns a continuous color scale that runs from violet till red color and passes rainbow colors in their natural order (red-orange-yellow-green-blue-violet). Indigo is excluded from the scale.
static ColorScale | CreateRainbow (double minValue, double maxValue, int numCells)
| Creates and returns a discrete color scale that runs from violet till red color and passes rainbow colors in their natural order (red-orange-yellow-green-blue-indigo-violet). Indigo is excluded from the scale.
static ColorScale | CreateColorBlind (double minValue, double maxValue)
| Creates and returns a continuous color scale that is adapted to color blind people in general. Colors follow as #E69F00 - #56B4E9 - #2B9F78 - #F0E442 - #0072B2 - #D55E00 - CC79A7.This scale should be well distinguished by normal sighted persons as well as color vision deficients with different kinds of color blindness.
static ColorScale | CreateColorBlind (double minValue, double maxValue, int numCells)
| Creates and returns a discrete color scale that is adapted to color blind people in general. Colors follow as #E69F00 - #56B4E9 - #2B9F78 - #F0E442 - #0072B2 - #D55E00 - CC79A7.This scale should be well distinguished by normal sighted persons as well as color vision deficients with different kinds of color blindness.
static ColorScale | CreateColorBlindProtanopia (double minValue, double maxValue)
| Creates and returns a continuous color scale that is adapted to people with protanopia. Colors follow as orange-yellow-blue-violet.Protanopia is a color vision deficiency caused by absence of red retinal photoreceptors. In this dichromacy, red appears dark.
static ColorScale | CreateColorBlindProtanopia (double minValue, double maxValue, int numCells)
| Creates and returns a discrete color scale that is adapted to people with protanopia. Colors follow as orange-yellow-blue-violet.Protanopia is a color vision deficiency caused by absence of red retinal photoreceptors. In this dichromacy, red appears dark.
static ColorScale | CreateColorBlindDeuteranopia (double minValue, double maxValue)
| Creates and returns a continuous color scale that is adapted to people with deuteranopia. Colors follow as red - yellow - blue.Deuteranopia is a color vision deficiency caused by absence of green retinal photoreceptors and afects red-green discrimination.
static ColorScale | CreateColorBlindDeuteranopia (double minValue, double maxValue, int numCells)
| Creates and returns a discrete color scale that is adapted to people with deuteranopia. Colors follow as red - yellow - blue.Deuteranopia is a color vision deficiency caused by absence of green retinal photoreceptors and afects red-green discrimination.
static ColorScale | CreateColorBlindTritanopia (double minValue, double maxValue)
| Creates and returns a continuous color scale that is adapted to people with tritanopia. Colors follow as red - yellow - blue.Tritanopia is a color vision deficiency caused by absence of blue retinal photoreceptors.
static ColorScale | CreateColorBlindTritanopia (double minValue, double maxValue, int numCells)
| Creates and returns a discrete color scale that is adapted to people with tritanopia. Colors follow as red - yellow - blue.Tritanopia is a color vision deficiency caused by absence of blue retinal photoreceptors.
static ColorScale | CreateGray (double minValue, double maxValue)
| Creates and returns a continuous color scale with various hues of gray.
static ColorScale | CreateGray (double minValue, double maxValue, int numCells)
| Creates and returns a discrete color scale with various hues of gray.
static ColorScale | CreateBlueRed (double minValue, double maxValue)
| Creates and returns a continuous color scale that ranges from dark blue to red.
static ColorScale | CreateBlueRed (double minValue, double maxValue, int numCells)
| Creates and returns a discrete color scale that ranges from dark blue to red.
static ColorScale | CreateBlueYellow (double minValue, double maxValue)
| Creates and returns a continuous color scale that ranges from dark blue to yellow.
static ColorScale | CreateBlueYellow (double minValue, double maxValue, int numCells)
| Creates and returns a discrete color scale that ranges from dark blue to yellow.
static ColorScale | CreateBlueRedYellow (double minValue, double maxValue)
| Creates and returns a continuous color scale that runs from blue through red till yellow color.
static ColorScale | CreateBlueRedYellow (double minValue, double maxValue, int numCells)
| Creates and returns a discrete color scale that runs from blue through red till yellow color.
static IColorScale | CreateBlueGreenYellow (double minValue, double maxValue)
| Creates and returns a continuous color scale that runs from blue through green till red color.
static ColorScale | CreateBlueGreenRed (double minValue, double maxValue, int numCells)
| Creates and returns a discrete color scale that runs from blue through green till red color.
## Protected Attributes
int | _numCells = 0
## Properties
bool | IsDiscrete`[get, set]`
| Gets the flag indicating whether the color scale is discrete (with a finite number of possible colors, as opposed to continuous).
int | NumCells`[get, set]`
| Number of cells in discrete color scale. Remarks:If less than 1 then the current object can not represent a discrete color scale, and the related methods such as should throw exception.Minimal value is 1. If p or less is assigned then an exception is thrown.
## Private Attributes
bool | _isDiscrete = false

## Detailed Description

Color scale.

Provides mapping from scalar values to colors, defining continuous or discrete color scales.

NOT thread safe.

Mapping from scalar value to color is usually defined continuously on the reference interval of values ranging from 0 to 1.

This class was initially used in GUI building for fadeouts, but has now broader applicaton and is used in all kins of graphical applications. This is also the reason that it is placed in the IG.Lib namespace. Discrete color values are added in 2011 for needs in graphic applications. $A Igor Jul08 Oct11;

## Member Function Documentation

abstract double IG::Lib::ColorScaleBase::FromReference | ( | double | referenceValue | ) | `[pure virtual]`

Transforms the specified value from reference domain (interval [0,1]) to actual domain.

Parameters:

  referenceValue | Value in the reference domain.

Returns:
  Value in the actual domain corresponding to the specified value in the reference domain.

Implements IG::Lib::IColorScale.

Implemented in IG::Lib::ColorScale.

abstract double IG::Lib::ColorScaleBase::ToReference | ( | double | actualValue | ) | `[pure virtual]`

Transforms the specified value from actual domain to reference domain (interval [0,1]).

Parameters:

  referenceValue | Value in the actual domain.

Returns:
  Value in the reference domain corresponding to the specified value in the actual domain.

Implements IG::Lib::IColorScale.

Implemented in IG::Lib::ColorScale.

virtual color IG::Lib::ColorScaleBase::GetColor | ( | double | value | ) | `[inline, virtual]`

Returns the color from the current collor scale that corresponds to the specified value. Scale can be continuous or discrete (in the latter case IsDiscrete is true).To get a color from the scale corresponding to a value in the reference domain [0,1], use the GetReferenceColor method instead.

Parameters:

  value | Value for which the corresponding color is returned.

Implements IG::Lib::IColorScale.

virtual color IG::Lib::ColorScaleBase::GetReferenceColor | ( | double | referenceValue | ) | `[inline, virtual]`

Returns the color from the current color scale that corresponds to the specified value in the reference domain (interval [0,1]). Scale can be continuous or discrete (in the latter case IsDiscrete is true).

Parameters:

  value | Value from the interval [0, 1] (the reference domain) for which the corresponding color is returned.

Implements IG::Lib::IColorScale.

abstract color IG::Lib::ColorScaleBase::GetContinuousReferenceColor | ( | double | referenceValue | ) | `[pure virtual]`

Returns the CONTINUOUS color from the current color scale that corresponds to the specified value in the REFERENCE domain (interval [0, 1]). Scale can be continuous or discrete (in the latter case IsDiscrete is true).

Parameters:

  referenceValue | Value in the reference domain (interval [0, 1]) for which the corresponding color is returned.

Implements IG::Lib::IColorScale.

Implemented in IG::Lib::ColorScale.

virtual color IG::Lib::ColorScaleBase::GetContinuousColor | ( | double | value | ) | `[inline, virtual]`

Returns the CONTINUOUS color from the current color scale that corresponds to the specified value. Scale can be continuous or discrete (in the latter case IsDiscrete is true).

Parameters:

  referenceValue | Value (in the actual domain) for which the corresponding color is returned.

Implements IG::Lib::IColorScale.

abstract double IG::Lib::ColorScaleBase::GetReferenceCellValue | ( | int | cellIndex | ) | `[pure virtual]`

Returns the reference value (in the interval [0, 1]) corresponding to the specified cell in the discrete color map. This value is used to obtain the uniform (discrete) color of the cell by the methods that produces continuous scale colors (continuous methods are usually basis for scale definitions).

Parameters:

  cellIndex | Index of the cell for which the corresponding characteristic value (usually in the middle of the cell interval) is returned.

Implements IG::Lib::IColorScale.

Implemented in IG::Lib::ColorScale.

virtual double IG::Lib::ColorScaleBase::GetCellValue | ( | int | cellIndex | ) | `[inline, virtual]`

Returns the value corresponding to the specified cell in the discrete color map. This value is used to obtain the uniform (discrete) color of the cell by the methods that produces continuous scale colors (continuous methods are usually basis for scale definitions).

Parameters:

  cellIndex | Index of the cell for which the corresponding characteristic value (usually in the middle of the cell interval) is returned.

Implements IG::Lib::IColorScale.

virtual color IG::Lib::ColorScaleBase::GetCellColor | ( | int | cellIndex | ) | `[inline, virtual]`

Returns the (discrete) color corresponding to the specified cell index. If the index is out of range then the lowest or the highest cell color is returned, dependent on whether the value is smaller than lower bound or greater than upper bound.

Parameters:

  cellIndex | Index of the discrete cell for which color is returned.

Implements IG::Lib::IColorScale.

abstract int IG::Lib::ColorScaleBase::GetReferenceCellIndex | ( | double | referenceValue | ) | `[pure virtual]`

Retuns index of the cell of the discrete color scale that corresponds to the specified value in the reference domain (interval [0, 1]).

Parameters:

  referenceValue | Value in the reference domain (interval [0, 1]) for wihich index of the discrete cell of the color scale is returned.

Implements IG::Lib::IColorScale.

Implemented in IG::Lib::ColorScale.

virtual int IG::Lib::ColorScaleBase::GetCellIndex | ( | double | value | ) | `[inline, virtual]`

Retuns index of the cell of the discrete color scale that corresponds to the specified value (in the actusl domain).

Parameters:

  referenceValue | Value in the reference domain (interval [0, 1]) for wihich index of the discrete cell of the color scale is returned.

Implements IG::Lib::IColorScale.

virtual color IG::Lib::ColorScaleBase::GetDiscreteReferenceColor | ( | double | referenceValue | ) | `[inline, virtual]`

Returns a color from the DISCRETE color scale represented by the current object that corresponds to he specified value in the REFERENCE domain (interval [0, 1]).

Parameters:

  referenceValue | Value in the reference domain (interval [0, 1]) for which the corresponding color from the discrete color scale is returned.

Implements IG::Lib::IColorScale.

virtual color IG::Lib::ColorScaleBase::GetDiscreteColor | ( | double | value | ) | `[inline, virtual]`

Returns a color from the DISCRETE color scale represented by the current object that corresponds to he specified value (in the actual domain).

Parameters:

  referenceValue | Value (in the actual domain) for which the corresponding color from the discrete color scale is returned.

Implements IG::Lib::IColorScale.

static ColorScale IG::Lib::ColorScaleBase::Create | ( | double | minValue,
|  | double | maxValue,
|  | params color[] | scaleColors
| ) |  | `[inline, static]`

Creates and returns a continuous color scale that runs through the specified colors. The first specified color corresponds to the lowest and the last one to the highest values. Other colors (if specified) are positioned between, and colors for intermediate values are interpolated between two neighboring colors. Only one color can also be specified, in this case the whole scale has the same color.

Parameters:

  minValue | Lower bound of the range of values for which color scale is defined.
  maxValue | Upper bound of the range of values for which color scale is defined.
  scaleColors | Colors that determine the color scale. T

static ColorScale IG::Lib::ColorScaleBase::Create | ( | double | minValue,
|  | double | maxValue,
|  | int | numCells,
|  | params color[] | scaleColors
| ) |  | `[inline, static]`

Creates and returns a discrete color scale that runs through the specified colors. The first specified color corresponds to the lowest and the last one to the highest values. Other colors (if specified) are positioned between, and colors for intermediate values are interpolated between two neighboring colors. Only one color can also be specified, in this case the whole scale has the same color.

Parameters:

  minValue | Lower bound of the range of values for which color scale is defined.
  maxValue | Upper bound of the range of values for which color scale is defined.
  scaleColors | Colors that determine the color scale.

static ColorScale IG::Lib::ColorScaleBase::CreateDefault | ( | double | minValue,
|  | double | maxValue
| ) |  | `[inline, static]`

Creates and returns a continuous color scale that runs from blue through red till yellow color. This is intended as default color scale for graphical representations. The advantge is that color brightness varies monotonically () and relatively significantly) form the lower to the upper bounds, while hue varies significantly, too.

Parameters:

  minValue | Lower bound of the range of values for which color scale is defined.
  maxValue | Upper bound of the range of values for which color scale is defined.

static ColorScale IG::Lib::ColorScaleBase::CreateDefault | ( | double | minValue,
|  | double | maxValue,
|  | int | numCells
| ) |  | `[inline, static]`

Creates and returns a discrete color scale that runs from blue through red till yellow color. This is intended as default color scale for graphical representations. The advantge is that color brightness varies monotonically () and relatively significantly) form the lower to the upper bounds, while hue varies significantly, too.

Parameters:

  minValue | Lower bound of the range of values for which color scale is defined.
  maxValue | Upper bound of the range of values for which color scale is defined.
  numCells | Number of discrete cells of the color scale.

static ColorScale IG::Lib::ColorScaleBase::CreateRainbowFull | ( | double | minValue,
|  | double | maxValue
| ) |  | `[inline, static]`

Creates and returns a continuous color scale that runs from violet till red color and passes rainbow colors in their natural order (red-orange-yellow-green-blue-indigo-violet). Indigo is included.

Parameters:

  minValue | Lower bound of the range of values for which color scale is defined.
  maxValue | Upper bound of the range of values for which color scale is defined.

static ColorScale IG::Lib::ColorScaleBase::CreateRainbowFull | ( | double | minValue,
|  | double | maxValue,
|  | int | numCells
| ) |  | `[inline, static]`

Creates and returns a discrete color scale that runs from violet till red color and passes rainbow colors in their natural order (red-orange-yellow-green-blue-indigo-violet). Indigo is included.

Parameters:

  minValue | Lower bound of the range of values for which color scale is defined.
  maxValue | Upper bound of the range of values for which color scale is defined.
  numCells | Number of discrete cells of the color scale.

static ColorScale IG::Lib::ColorScaleBase::CreateRainbow | ( | double | minValue,
|  | double | maxValue
| ) |  | `[inline, static]`

Creates and returns a continuous color scale that runs from violet till red color and passes rainbow colors in their natural order (red-orange-yellow-green-blue-violet). Indigo is excluded from the scale.

Parameters:

  minValue | Lower bound of the range of values for which color scale is defined.
  maxValue | Upper bound of the range of values for which color scale is defined.

static ColorScale IG::Lib::ColorScaleBase::CreateRainbow | ( | double | minValue,
|  | double | maxValue,
|  | int | numCells
| ) |  | `[inline, static]`

Creates and returns a discrete color scale that runs from violet till red color and passes rainbow colors in their natural order (red-orange-yellow-green-blue-indigo-violet). Indigo is excluded from the scale.

Parameters:

  minValue | Lower bound of the range of values for which color scale is defined.
  maxValue | Upper bound of the range of values for which color scale is defined.
  numCells | Number of discrete cells of the color scale.

static ColorScale IG::Lib::ColorScaleBase::CreateColorBlind | ( | double | minValue,
|  | double | maxValue
| ) |  | `[inline, static]`

Creates and returns a continuous color scale that is adapted to color blind people in general. Colors follow as #E69F00 - #56B4E9 - #2B9F78 - #F0E442 - #0072B2 - #D55E00 - CC79A7.This scale should be well distinguished by normal sighted persons as well as color vision deficients with different kinds of color blindness.

Parameters:

  minValue | Lower bound of the range of values for which color scale is defined.
  maxValue | Upper bound of the range of values for which color scale is defined.

See also:

http://www.archimedes-lab.org/colorblindnesstest.html

http://en.wikipedia.org/wiki/Color_blindness

static ColorScale IG::Lib::ColorScaleBase::CreateColorBlind | ( | double | minValue,
|  | double | maxValue,
|  | int | numCells
| ) |  | `[inline, static]`

Creates and returns a discrete color scale that is adapted to color blind people in general. Colors follow as #E69F00 - #56B4E9 - #2B9F78 - #F0E442 - #0072B2 - #D55E00 - CC79A7.This scale should be well distinguished by normal sighted persons as well as color vision deficients with different kinds of color blindness.

Parameters:

  minValue | Lower bound of the range of values for which color scale is defined.
  maxValue | Upper bound of the range of values for which color scale is defined.
  numCells | Number of discrete cells of the color scale.

See also:

http://www.archimedes-lab.org/colorblindnesstest.html

http://en.wikipedia.org/wiki/Color_blindness

static ColorScale IG::Lib::ColorScaleBase::CreateColorBlindProtanopia | ( | double | minValue,
|  | double | maxValue
| ) |  | `[inline, static]`

Creates and returns a continuous color scale that is adapted to people with protanopia. Colors follow as orange-yellow-blue-violet.Protanopia is a color vision deficiency caused by absence of red retinal photoreceptors. In this dichromacy, red appears dark.

Parameters:

  minValue | Lower bound of the range of values for which color scale is defined.
  maxValue | Upper bound of the range of values for which color scale is defined.

See also:

http://en.wikipedia.org/wiki/Color_blindness

static ColorScale IG::Lib::ColorScaleBase::CreateColorBlindProtanopia | ( | double | minValue,
|  | double | maxValue,
|  | int | numCells
| ) |  | `[inline, static]`

Creates and returns a discrete color scale that is adapted to people with protanopia. Colors follow as orange-yellow-blue-violet.Protanopia is a color vision deficiency caused by absence of red retinal photoreceptors. In this dichromacy, red appears dark.

Parameters:

  minValue | Lower bound of the range of values for which color scale is defined.
  maxValue | Upper bound of the range of values for which color scale is defined.
  numCells | Number of discrete cells of the color scale.

See also:

http://en.wikipedia.org/wiki/Color_blindness

static ColorScale IG::Lib::ColorScaleBase::CreateColorBlindDeuteranopia | ( | double | minValue,
|  | double | maxValue
| ) |  | `[inline, static]`

Creates and returns a continuous color scale that is adapted to people with deuteranopia. Colors follow as red - yellow - blue.Deuteranopia is a color vision deficiency caused by absence of green retinal photoreceptors and afects red-green discrimination.

Parameters:

  minValue | Lower bound of the range of values for which color scale is defined.
  maxValue | Upper bound of the range of values for which color scale is defined.

See also:

http://en.wikipedia.org/wiki/Color_blindness

static ColorScale IG::Lib::ColorScaleBase::CreateColorBlindDeuteranopia | ( | double | minValue,
|  | double | maxValue,
|  | int | numCells
| ) |  | `[inline, static]`

Creates and returns a discrete color scale that is adapted to people with deuteranopia. Colors follow as red - yellow - blue.Deuteranopia is a color vision deficiency caused by absence of green retinal photoreceptors and afects red-green discrimination.

Parameters:

  minValue | Lower bound of the range of values for which color scale is defined.
  maxValue | Upper bound of the range of values for which color scale is defined.
  numCells | Number of discrete cells of the color scale.

See also:

http://en.wikipedia.org/wiki/Color_blindness

static ColorScale IG::Lib::ColorScaleBase::CreateColorBlindTritanopia | ( | double | minValue,
|  | double | maxValue
| ) |  | `[inline, static]`

Creates and returns a continuous color scale that is adapted to people with tritanopia. Colors follow as red - yellow - blue.Tritanopia is a color vision deficiency caused by absence of blue retinal photoreceptors.

Parameters:

  minValue | Lower bound of the range of values for which color scale is defined.
  maxValue | Upper bound of the range of values for which color scale is defined.

See also:

http://en.wikipedia.org/wiki/Color_blindness

static ColorScale IG::Lib::ColorScaleBase::CreateColorBlindTritanopia | ( | double | minValue,
|  | double | maxValue,
|  | int | numCells
| ) |  | `[inline, static]`

Creates and returns a discrete color scale that is adapted to people with tritanopia. Colors follow as red - yellow - blue.Tritanopia is a color vision deficiency caused by absence of blue retinal photoreceptors.

Parameters:

  minValue | Lower bound of the range of values for which color scale is defined.
  maxValue | Upper bound of the range of values for which color scale is defined.
  numCells | Number of discrete cells of the color scale.

See also:

http://en.wikipedia.org/wiki/Color_blindness

static ColorScale IG::Lib::ColorScaleBase::CreateGray | ( | double | minValue,
|  | double | maxValue
| ) |  | `[inline, static]`

Creates and returns a continuous color scale with various hues of gray.

Parameters:

  minValue | Lower bound of the range of values for which color scale is defined.
  maxValue | Upper bound of the range of values for which color scale is defined.

static ColorScale IG::Lib::ColorScaleBase::CreateGray | ( | double | minValue,
|  | double | maxValue,
|  | int | numCells
| ) |  | `[inline, static]`

Creates and returns a discrete color scale with various hues of gray.

Parameters:

  minValue | Lower bound of the range of values for which color scale is defined.
  maxValue | Upper bound of the range of values for which color scale is defined.
  numCells | Number of discrete cells of the color scale.

static ColorScale IG::Lib::ColorScaleBase::CreateBlueRed | ( | double | minValue,
|  | double | maxValue
| ) |  | `[inline, static]`

Creates and returns a continuous color scale that ranges from dark blue to red.

Parameters:

  minValue | Lower bound of the range of values for which color scale is defined.
  maxValue | Upper bound of the range of values for which color scale is defined.

static ColorScale IG::Lib::ColorScaleBase::CreateBlueRed | ( | double | minValue,
|  | double | maxValue,
|  | int | numCells
| ) |  | `[inline, static]`

Creates and returns a discrete color scale that ranges from dark blue to red.

Parameters:

  minValue | Lower bound of the range of values for which color scale is defined.
  maxValue | Upper bound of the range of values for which color scale is defined.
  numCells | Number of discrete cells of the color scale.

static ColorScale IG::Lib::ColorScaleBase::CreateBlueYellow | ( | double | minValue,
|  | double | maxValue
| ) |  | `[inline, static]`

Creates and returns a continuous color scale that ranges from dark blue to yellow.

Parameters:

  minValue | Lower bound of the range of values for which color scale is defined.
  maxValue | Upper bound of the range of values for which color scale is defined.

static ColorScale IG::Lib::ColorScaleBase::CreateBlueYellow | ( | double | minValue,
|  | double | maxValue,
|  | int | numCells
| ) |  | `[inline, static]`

Creates and returns a discrete color scale that ranges from dark blue to yellow.

Parameters:

  minValue | Lower bound of the range of values for which color scale is defined.
  maxValue | Upper bound of the range of values for which color scale is defined.
  numCells | Number of discrete cells of the color scale.

static ColorScale IG::Lib::ColorScaleBase::CreateBlueRedYellow | ( | double | minValue,
|  | double | maxValue
| ) |  | `[inline, static]`

Creates and returns a continuous color scale that runs from blue through red till yellow color.

Parameters:

  minValue | Lower bound of the range of values for which color scale is defined.
  maxValue | Upper bound of the range of values for which color scale is defined.

static ColorScale IG::Lib::ColorScaleBase::CreateBlueRedYellow | ( | double | minValue,
|  | double | maxValue,
|  | int | numCells
| ) |  | `[inline, static]`

Creates and returns a discrete color scale that runs from blue through red till yellow color.

Parameters:

  minValue | Lower bound of the range of values for which color scale is defined.
  maxValue | Upper bound of the range of values for which color scale is defined.
  numCells | Number of discrete cells of the color scale.

static IColorScale IG::Lib::ColorScaleBase::CreateBlueGreenYellow | ( | double | minValue,
|  | double | maxValue
| ) |  | `[inline, static]`

Creates and returns a continuous color scale that runs from blue through green till red color.

Parameters:

  minValue | Lower bound of the range of values for which color scale is defined.
  maxValue | Upper bound of the range of values for which color scale is defined.

static ColorScale IG::Lib::ColorScaleBase::CreateBlueGreenRed | ( | double | minValue,
|  | double | maxValue,
|  | int | numCells
| ) |  | `[inline, static]`

Creates and returns a discrete color scale that runs from blue through green till red color.

Parameters:

  minValue | Lower bound of the range of values for which color scale is defined.
  maxValue | Upper bound of the range of values for which color scale is defined.
  numCells | Number of discrete cells of the color scale.

## Member Data Documentation

bool IG::Lib::ColorScaleBase::_isDiscrete = false`[private]`

int IG::Lib::ColorScaleBase::_numCells = 0`[protected]`

## Property Documentation

bool IG::Lib::ColorScaleBase::IsDiscrete`[get, set]`

Gets the flag indicating whether the color scale is discrete (with a finite number of possible colors, as opposed to continuous).

Implements IG::Lib::IColorScale.

int IG::Lib::ColorScaleBase::NumCells`[get, set]`

Number of cells in discrete color scale. Remarks:If less than 1 then the current object can not represent a discrete color scale, and the related methods such as should throw exception.Minimal value is 1. If p or less is assigned then an exception is thrown.

Implements IG::Lib::IColorScale.

The documentation for this class was generated from the following file:

- ColorScale.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events